std::projected< _Iter, _Proj > Struct Template Reference

## Public Types

using | value_type = remove_cvref_t< indirect_result_t< _Proj &, _Iter > >

## Public Member Functions

indirect_result_t< _Proj &, _Iter > | operator* () const

## Detailed Description

### template<indirectly_readable _Iter, indirectly_regular_unary_invocable< _Iter > _Proj>
struct std::projected< _Iter, _Proj >

[projected], projected

Definition at line 776 of file iterator_concepts.h.

The documentation for this struct was generated from the following file:

- iterator_concepts.h